=== debian/changelog ===
audacity (2.1.2-2) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Team upload.
  * debian/patches:
    - fix-gcc6-ftbfs.patch - Add to fix FTBFS with gcc-6. (Closes: #811671)
  * debian/control:
    - Bump Standards-Version to 3.9.8. (no changes needed)
  * debian/watch: Update to github.

  [ Free Ekanayaka ]
  * Add travis.debian.net configuration

 -- Free Ekanayaka <freee@debian.org>  Thu, 24 Nov 2016 20:20:12 +0000

audacity (2.1.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/audacity.menu: Removed since audacity comes with a desktop file.
  * debian/control:
    - Remove Build-Conflicts. libwxbase2.6-dev and wx2.6-headers
      are only available in squeeze.
    - Update Vcs-*.

  [ Benjamin Drung]
  * Sort configure flags alphabetical.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Jan 2016 19:31:05 +0100

audacity (2.1.2~rc2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Migrate to automatic dbg packages
  * debian/control:
    - Remove obsolete Breaks+Replaces.
    - Remove no longer existing ffmpeg -dev packages from B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 12 Jan 2016 22:27:03 +0100

audacity (2.1.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate. (Closes: #764075, #806185)
    - Add wxWidgets 3.0 support.
  * Enable LV2 support. (Closes: #673616, #767882)
    - debian/control: Add lv2-dev, liblilv-dev and libsuil-dev to
      Build-Depends.
    - debian/rules: Build with --with-lv2=system.
  * debian/patches:
    - wxWidgets-3.0.patch, clang-ftbfs.patch,
      fix-cursor-recapturing-sliders.patch,
      wxwidgets-clipboard-reenetry-workaround.patch,
      wxwidgets-effect-dialogs-segfault.patch: Removed (applied upstream).
    - workaround-wxwidgets-fit-recovery.patch: Refreshed.
  * debian/rules: Force system copy of portsmf.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 07 Dec 2015 20:27:06 +0100
