=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/audacity/audacity/tags .*/Audacity-?(\d\S*)\.tar\.gz
